include:
  - template: Code-Quality.gitlab-ci.yml
  - template: Security/SAST.gitlab-ci.yml
  - local: /templates/ci/.ci-mvn-build.yml
  - local: /templates/ci/.ci-npm-build.yml
  - local: /templates/ci/.ci-mvn-test.yml


shared:
  trigger:
    strategy: depend
    include:
      - local: shared/.gitlab-ci.yml
      - local: /templates/ci/.ci-mvn-build.yml
      - local: /templates/ci/.ci-mvn-test.yml

infrastructure:
  needs: ["shared"]
  trigger:
    strategy: depend
    include:
      - local: infrastructure/.gitlab-ci.yml
      - local: /templates/ci/.ci-mvn-build.yml
      - local: /templates/ci/.ci-mvn-test.yml

micro-services:
  needs: ["infrastructure"]
  trigger:
    strategy: depend
    include:
      - local: services/.gitlab-ci.yml
      - local: /templates/ci/.ci-mvn-build.yml
      - local: /templates/ci/.ci-mvn-test.yml

#services:
#  trigger:
#    include: services/.gitlab-ci.yml

frontend:
  trigger:
    strategy: depend
    include:
      - local: frontend/.gitlab-ci.yml
      - local: /templates/ci/.ci-npm-build.yml




#coverage:
#  script:
#    - mvn install -DskipTests
#    - mvn -pl coverage verify
#    - echo `<$CI_PROJECT_DIR/coverage/target/site/jacoco-aggregate/index.html`
#  allow_failure: true
